Autocomplete Places
curl --request GET \
--url https://api.example.com/api/v1/bko/places/autocomplete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/bko/places/autocomplete"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/bko/places/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suggestions": [
{
"placeId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
"text": "Avenida Paulista, São Paulo, SP, Brasil",
"name": "Avenida Paulista",
"description": "São Paulo, SP, Brasil"
}
]
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Place
Autocomplete Places
Autocompletes places (Brazil) for point creation.
GET
/
api
/
v1
/
bko
/
places
/
autocomplete
Autocomplete Places
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Free-text query to autocomplete (Brazil)
Example:
"avenida paulista"
Client-generated UUID grouping autocomplete + details
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Response
OK
Place autocomplete result
Place suggestions
Show child attributes
Show child attributes